<div *ngIf="auth.isAuthenticated$ | async; else elseBlock">
  <app-logout></app-logout>
</div>
<ng-template #elseBlock>
  <app-login></app-login>
</ng-template>

<ul *ngIf="auth.user$ | async as user">
  <li>{{ user.name }}</li>
  <li>{{ user.email }}</li>
</ul>
<router-outlet></router-outlet>
